package com.ssm.manage.entity;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;
import java.io.Serializable;

/**
 * (BaseNegativeKazin)实体类
 *
 * @author makejava
 * @since 2022-05-24 11:49:36
 */
@Table(name = "base_negative_kazin")
public class BaseNegativeKazin implements Serializable {
    private static final long serialVersionUID = 796805530018305282L;
    /**
     * id
     */
    @Id
    @Column(name = "id")
    private Integer id;
    /**
     * 门店Id
     */
    @Column(name = "store_id")
    private Long storeId;
    /**
     * 门店编码
     */
    @Column(name = "store_num")
    private String storeNum;
    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;
    /**
     * 日期
     */
    @Column(name = "date")
    private Date date;
    /**
     * 充值初期
     */
    @Column(name = "recharge_initial")
    private BigDecimal rechargeInitial;
    /**
     * 充值收入
     */
    @Column(name = "recharge_income")
    private BigDecimal rechargeIncome;
    /**
     * 充值还款
     */
    @Column(name = "recharge_repayment")
    private BigDecimal rechargeRepayment;
    /**
     * 充值服务
     */
    @Column(name = "recharge_service")
    private BigDecimal rechargeService;
    /**
     * 充值退款
     */
    @Column(name = "recharge_refund")
    private BigDecimal rechargeRefund;
    /**
     * 充值购疗程
     */
    @Column(name = "recharge_course")
    private BigDecimal rechargeCourse;
    /**
     * 充值结存
     */
    @Column(name = "recharge_balance")
    private BigDecimal rechargeBalance;
    /**
     * 疗程初期
     */
    @Column(name = "course_initial")
    private BigDecimal courseInitial;
    /**
     * 疗程收入
     */
    @Column(name = "course_income")
    private BigDecimal courseIncome;
    /**
     * 疗程还款
     */
    @Column(name = "course_repayment")
    private BigDecimal courseRepayment;
    /**
     * 疗程服务
     */
    @Column(name = "course_service")
    private BigDecimal courseService;
    /**
     * 疗程退款
     */
    @Column(name = "course_refund")
    private BigDecimal courseRefund;
    /**
     * 疗程结存
     */
    @Column(name = "course_balance")
    private BigDecimal courseBalance;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreNum() {
        return storeNum;
    }

    public void setStoreNum(String storeNum) {
        this.storeNum = storeNum;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public BigDecimal getRechargeInitial() {
        return rechargeInitial;
    }

    public void setRechargeInitial(BigDecimal rechargeInitial) {
        this.rechargeInitial = rechargeInitial;
    }

    public BigDecimal getRechargeIncome() {
        return rechargeIncome;
    }

    public void setRechargeIncome(BigDecimal rechargeIncome) {
        this.rechargeIncome = rechargeIncome;
    }

    public BigDecimal getRechargeRepayment() {
        return rechargeRepayment;
    }

    public void setRechargeRepayment(BigDecimal rechargeRepayment) {
        this.rechargeRepayment = rechargeRepayment;
    }

    public BigDecimal getRechargeService() {
        return rechargeService;
    }

    public void setRechargeService(BigDecimal rechargeService) {
        this.rechargeService = rechargeService;
    }

    public BigDecimal getRechargeRefund() {
        return rechargeRefund;
    }

    public void setRechargeRefund(BigDecimal rechargeRefund) {
        this.rechargeRefund = rechargeRefund;
    }

    public BigDecimal getRechargeCourse() {
        return rechargeCourse;
    }

    public void setRechargeCourse(BigDecimal rechargeCourse) {
        this.rechargeCourse = rechargeCourse;
    }

    public BigDecimal getRechargeBalance() {
        return rechargeBalance;
    }

    public void setRechargeBalance(BigDecimal rechargeBalance) {
        this.rechargeBalance = rechargeBalance;
    }

    public BigDecimal getCourseInitial() {
        return courseInitial;
    }

    public void setCourseInitial(BigDecimal courseInitial) {
        this.courseInitial = courseInitial;
    }

    public BigDecimal getCourseIncome() {
        return courseIncome;
    }

    public void setCourseIncome(BigDecimal courseIncome) {
        this.courseIncome = courseIncome;
    }

    public BigDecimal getCourseRepayment() {
        return courseRepayment;
    }

    public void setCourseRepayment(BigDecimal courseRepayment) {
        this.courseRepayment = courseRepayment;
    }

    public BigDecimal getCourseService() {
        return courseService;
    }

    public void setCourseService(BigDecimal courseService) {
        this.courseService = courseService;
    }

    public BigDecimal getCourseRefund() {
        return courseRefund;
    }

    public void setCourseRefund(BigDecimal courseRefund) {
        this.courseRefund = courseRefund;
    }

    public BigDecimal getCourseBalance() {
        return courseBalance;
    }

    public void setCourseBalance(BigDecimal courseBalance) {
        this.courseBalance = courseBalance;
    }

}

